API Channel
Send inbound message from your application
message.sourceId is the idempotency key — sending the same value twice for the same contact does not create a duplicate message. Always send a stable id, never a random one per retry.
POST
/
v1
/
channels
/
api
/
messages
Send inbound message from your application
curl --request POST \
--url https://app.chatbotx.io/api/v1/channels/api/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact": {
"sourceId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"avatar": "<string>",
"locale": "<string>"
},
"message": {
"sourceId": "<string>",
"text": "<string>",
"attachments": [
{
"url": "<string>",
"mimeType": "<string>",
"name": "<string>"
}
],
"contentType": "text",
"contentAttributes": {}
},
"postbackPayload": "<string>"
}
'import requests
url = "https://app.chatbotx.io/api/v1/channels/api/messages"
payload = {
"contact": {
"sourceId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"avatar": "<string>",
"locale": "<string>"
},
"message": {
"sourceId": "<string>",
"text": "<string>",
"attachments": [
{
"url": "<string>",
"mimeType": "<string>",
"name": "<string>"
}
],
"contentType": "text",
"contentAttributes": {}
},
"postbackPayload": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact: {
sourceId: '<string>',
firstName: '<string>',
lastName: '<string>',
email: 'jsmith@example.com',
phoneNumber: '<string>',
avatar: '<string>',
locale: '<string>'
},
message: {
sourceId: '<string>',
text: '<string>',
attachments: [{url: '<string>', mimeType: '<string>', name: '<string>'}],
contentType: 'text',
contentAttributes: {}
},
postbackPayload: '<string>'
})
};
fetch('https://app.chatbotx.io/api/v1/channels/api/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accepted": true,
"messageSourceId": "<string>"
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I
Send inbound message from your application
